
// =========================================================================== Custom CSS ===========================================================================

.nb-theme-corporate nb-layout .layout .layout-container .content .columns nb-layout-column {
  padding: 1.25rem 1.25rem 0.75rem !important;
}

.nb-theme-corporate nb-layout-header nav {
  height: 3rem !important;
  border-bottom: 2px #8f9bb3 solid;
  font-weight: bold;
}

.nb-theme-corporate .header-container a.logo {
  font-size: 1.25rem !important;
  padding: 0px !important;
}

.nb-theme-corporate nb-layout-header.fixed ~ .layout-container {
  padding-top: 3rem !important;
}

.nb-theme-corporate nb-layout-header.fixed ~ .layout-container nb-sidebar .main-container {
  height: calc(100vh - 3rem) !important;
}

.nb-theme-corporate nb-layout .layout .layout-container nb-sidebar.fixed, .nb-theme-corporate nb-layout .layout .layout-container nb-sidebar .main-container-fixed {
  top: 3rem !important;
}

.nb-theme-corporate nb-sidebar div.scrollable {
  padding-top: 0px !important;
}

.nb-theme-corporate nb-card-body {
  padding: 1rem 1rem !important;
}

.nb-theme-corporate [nbButton].size-small {
  font-size: 0.8125rem !important;
}

.nb-theme-corporate [nbButton] {
  text-transform: none !important;
}

a.custom {
  color: #747882 !important;
  font-weight: bold;
  text-decoration: none !important;
  background-color: transparent !important;
  -webkit-text-decoration-skip: objects !important;
}

a.custom:hover {
  color: #222b45 !important;
  text-decoration: underline !important;
}

nb-radio span,
.custom-checkbox,
input[type="checkbox"],
input[type="radio"],
input[type="file"],
table tr{
  cursor: pointer;
}

label.red-star::before {
  content: "* ";
  color: #ff0000;
}

label.custom-form-label::after {
  content: " : ";
}

label.custom-form-label {
  text-align: right;
}

table.main {
  min-width: 100% !important;
  border-collapse: collapse !important;

  // -webkit-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5) !important;
  // -moz-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5) !important;
  // box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5) !important;
}

table.main th {
  font-size: 14px !important;
  vertical-align: middle !important;
  border-top: 0px !important;
  height: 36px;
  padding: 0px 16px !important;
  white-space: nowrap;
  background: #bcc2cd;
}

table.main td {
  vertical-align: middle !important;
  padding: 6px 16px !important;
  height: 25px !important;
}

table.main tbody tr.rows-active, 
table.main tbody tr:hover {
  background: #b0bcd3 !important;
  transition: background-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}



table.main tr:first-child th:first-child {
  border-top-left-radius: 0.3rem !important;
  -webkit-border-top-left-radius: 0.3rem !important;
  -moz-border-radius-top-left: 0.3rem !important;
}

table.main tr:first-child th:last-child {
  border-top-right-radius: 0.3rem !important;
  -webkit-border-top-right-radius: 0.3rem !important;
  -moz-border-radius-top-right: 0.3rem !important;
}

table.main.table-bordered tr:first-child th:first-child {
  border-top-left-radius: 0.4rem !important;
  -webkit-border-top-left-radius: 0.4rem !important;
  -moz-border-radius-top-left: 0.4rem !important;
}

table.main.table-bordered tr:first-child th:last-child {
  border-top-right-radius: 0.4rem !important;
  -webkit-border-top-right-radius: 0.4rem !important;
  -moz-border-radius-top-right: 0.4rem !important;
}



table.main thead th:first-child,
table.main tbody td:first-child,
table.main tfoot td:first-child {
  padding-right: 10px !important;
  padding-left: 10px !important;
}

table.main.sorting-first-column thead th:first-child,
table.main.sorting-first-column tbody td:first-child,
table.main.sorting-first-column tfoot td:first-child {
  padding-right: 16px !important;
}

table.main.hide-first-column thead th:first-child,
table.main.hide-first-column tbody td:first-child,
table.main.hide-first-column tfoot td:first-child {
  padding-left: 5px !important;
  padding-right: 5px !important;
  border-right: none !important;
}

table.main.hide-first-column thead th:nth-child(2),
table.main.hide-first-column tbody td:nth-child(2),
table.main.hide-first-column tfoot td:nth-child(2) {
  padding-left: 0px !important;
  border-left: none !important;
}



table.dataTable {
  margin-left: 0px !important;
  min-width: 100% !important;
  width: auto !important;
  border-collapse: collapse !important;
}

.dataTables_empty {
  display: none !important;
}

.dataTables_info {
  float: right !important;
  position: relative !important;
  top: 5px !important;
  padding-top: 1rem !important;
  padding-right: 0.5rem !important;
}

.dataTables_paginate {
  float: left !important;
  text-align: left !important;
  margin-top: 10px !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
  padding: 0.3em 0.5em !important;
  display: inline !important;

}

table.table-bordered {
  border: none !important;
}

.nb-theme-corporate nb-card {
  // color: #222b45;
  // font-family: Open Sans, sans-serif;
  font-size: 12px !important;
  font-weight: 400 !important;
  line-height: 0rem !important;
}

table.main thead th:first-child input[type="checkbox"],
table.main tbody td:first-child input[type="checkbox"]{
  width: 20px;
  height: 20px;
  position: relative !important;
  top: 3px !important;
}

input::placeholder {
  font-size: 0.8125rem !important;
}

nb-card-header {
  background: #e2e9ef;
  padding: 0.5rem 1rem !important;
  // box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.5) !important;
}

nb-card-body, nb-card-header, .main-container, nb-layout-footer {
  -webkit-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5) !important;
  -moz-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5) !important;
  box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.5) !important;
}

[nbButton], [nbInput], nb-checkbox .custom-checkbox, nb-radio .outer-circle,
nb-select, .cdk-overlay-pane {
  -webkit-box-shadow: 0px 0px 3px 0px rgba(0,0,0,0.5) !important;
  -moz-box-shadow: 0px 0px 3px 0px rgba(0,0,0,0.5) !important;
  box-shadow: 0px 0px 3px 0px rgba(0,0,0,0.5) !important;
  // text-shadow: #000 1px 0 2px !important;
}

nb-toast {
  width: 45rem !important;
}

nb-layout-footer {
  width: 99.8% !important;
  position: relative;
  left: -2px;
  margin: auto !important;
}

nb-sidebar {
  z-index: 1 !important;
}

:disabled, .native-input:disabled ~ .text {
  color: rgb(97, 106, 122) !important;
}

//================================== Scroll ===================================

// ::-webkit-scrollbar {
//   width: 10px !important;
//   // height: <desired-width> !important;
// }

::-webkit-scrollbar-thumb {
  background: #60677e !important;
}

::-webkit-scrollbar-track {
  background: #fff !important;
}

.inline-radio nb-radio {
  display: inline-flex !important;  
}

.inline-radio nb-radio label{
  padding-right: 0px !important;
}

.inline-radio nb-radio span.text{
  padding-left: 0px !important;
  margin-left: 2rem !important;
}

nb-checkbox span.text,
nb-radio span.text{
  line-height: 1rem !important;
}

.label {
  font-size: 0.8125rem !important;
}

.col-form-label {
  line-height: 1rem !important;
}

.fa, .fas {
  font-size: 0.9rem !important;
}

[nbmenuitem] nb-icon.fa {
  padding-left: 2px !important;
  padding-right: 18px !important;
}